%define module setuptools-declarative-requirements

Name:           python-%{module}
Version:        1.2.0
Release:        %mkrel 5
Summary:        Declarative setuptools Config Requirements Files Support

Group:          Development/Python
License:        MIT
URL:            https://github.com/s0undt3ch/setuptools-declarative-requirements
Source0:        https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch

%description
This projects adds the ability for projects using setuptools declarative
configuration to specify requirements using requirements files.

%package -n python3-%{module}
Summary:        Declarative setuptools Config Requirements Files Support
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-setuptools-scm+toml

%description -n python3-%{module}
This projects adds the ability for projects using setuptools declarative
configuration to specify requirements using requirements files.

This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf setuptools_declarative_requirements.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/declarative_requirements/
%{python3_sitelib}/setuptools_declarative_requirements-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Dec 08 2023 wally <wally> 1.2.0-5.mga10
+ Revision: 2015793
- rebuild for py3.12

* Fri Nov 04 2022 wally <wally> 1.2.0-4.mga9
+ Revision: 1902758
- update setuptools-scm BRs

* Thu Mar 24 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1824787
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.2.0-2.mga9
+ Revision: 1775842
- rebuild for python-3.10

* Mon Mar 29 2021 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1711606
- initial package python-setuptools-declarative-requirements

